## libreoffice 7.3.3

=== debian/changelog ===
libreoffice (1:7.3.3-0ubuntu0.22.04.1) jammy; urgency=medium

  * New upstream release (LP: #1971670)

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Thu, 05 May 2022 11:06:56 +0200

libreoffice (1:7.3.3~rc1-2) unstable; urgency=medium

  * debian/patches/icu-71.diff: extend ICU 70 workaround for testLao
    to >= 70 (closes: #1009716)
  * upload to unstable

 -- Rene Engelhard <rene@debian.org>  Wed, 20 Apr 2022 17:39:49 +0200

libreoffice (1:7.3.3~rc1-1) experimental; urgency=medium

  * New upstream release candidate

 -- Rene Engelhard <rene@debian.org>  Wed, 13 Apr 2022 17:29:06 +0200
