## libreoffice 7.3.6

=== debian/changelog ===
libreoffice (1:7.3.6-0ubuntu0.22.04.1~bpo20.04.1) focal-backports; urgency=medium

  * Backport from jammy (LP: #1989418)
  * Lower dpkg-dev requirement
    - buildopts.mk is not available in dpkg-dev < 1.20.1
  * Lower libclucene-dev requirement
  * Use internal abseil, gpgmepp, libmwaw, libwps, mdds, orcus
    to meat upstream requirements

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Tue, 13 Sep 2022 09:49:44 +0200

libreoffice (1:7.3.6-0ubuntu0.22.04.1) jammy; urgency=medium

  * New upstream release (LP: #1988744)

  [ Rico Tzschichholz ]
  * Bump yaru source to "2022-08-15"
  * debian/patches/tdf-108560-horribly-slow-to-paste-many-lines-into-ed.patch:
    - Calc very slow to open/save documents with large cell contents

  [ Rene Engelhard ]
  * debian/libreoffice-common.preinst.in,debian/rules,
    debian/shell-lib-extensions.sh:
    - Broken libreoffice trigger and /usr/lib/libreoffice/share/extensions
      missing; libreoffice fails to start when last extension is removed
      (/usr/lib/libreoffice/share/extensions being a 0-byte file)

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Mon, 05 Sep 2022 16:18:50 +0200

libreoffice (1:7.3.5-0ubuntu0.22.04.1) jammy; urgency=medium

  * New upstream release (LP: #1981966)

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Sat, 16 Jul 2022 12:39:11 +0200

libreoffice (1:7.3.4-0ubuntu0.22.04.1) jammy; urgency=medium

  * New upstream release (LP: #1977525)

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Thu, 02 Jun 2022 07:47:06 +0200

libreoffice (1:7.3.4~rc2-1) unstable; urgency=medium

  * New upstream release candidate

 -- Rene Engelhard <rene@debian.org>  Thu, 02 Jun 2022 17:51:28 +0200

libreoffice (1:7.3.4~rc1-1) unstable; urgency=medium

  * New upstream release candidate

 -- Rene Engelhard <rene@debian.org>  Wed, 18 May 2022 20:36:02 +0200

libreoffice (1:7.3.3~rc2-1) unstable; urgency=medium

  * New upstream release candidate 

 -- Rene Engelhard <rene@debian.org>  Wed, 27 Apr 2022 22:17:56 +0200
