=== debian/control ===
Source: libreoffice
Section: editors
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian LibreOffice Maintainers <debian-openoffice@lists.debian.org>
Uploaders: Rene Engelhard <rene@debian.org>, Chris Halls <halls@debian.org>
Build-Depends: ant (>= 1.7.0) <!nojava>,
               ant-optional (>= 1.7.0) <!nojava>,
               autoconf,
               automake,
               bc,
               bison,
               bzip2,
               clang (>= 1:11) [armel],
               clang (>= 1:5.0.2) [amd64 arm64 armhf],
               cpp,
               debhelper-compat (= 12),
               default-jdk (>= 2:1.9) [!hppa !s390 !sparc !hurd-i386] <!nojava>,
               default-libmysqlclient-dev,
               dh-python <!nopython>,
               dpkg-dev (>= 1.18.2~),
               firebird-dev (>= 3.0.0.32483.ds4-4),
               flex (>= 2.3.35),
               fontforge-nox | fontforge,
               g++ (>= 4:7),
               gcc (>= 4:7),
               gobject-introspection (>= 1.32.0),
               gperf (>= 3.1),
               java-common (>= 0.61) <!nojava>,
               javahelper (>= 0.37~) <!nojava>,
               junit4 (>= 4.8.2-2) [amd64 arm64] <!nocheck !nojava>,
               libabw-dev (<< 0.2~),
               libabw-dev (>= 0.1),
               libarchive-zip-perl <!nojava>,
               libavahi-client-dev,
               libbluetooth-dev [linux-any],
               libboost-date-time-dev (>= 1.71),
               libboost-dev (>= 1.71),
               libboost-filesystem-dev (>= 1.71),
               libboost-iostreams-dev (>= 1.71),
               libboost-locale-dev (>= 1.71),
               libboost-program-options-dev (>= 1.71),
               libboost-system-dev (>= 1.71),
               libc0.1 (>= 2.10.2-7) [kfreebsd-any],
               libcairo2-dev,
               libcdr-dev (<< 0.2~),
               libcdr-dev (>= 0.1),
               libclucene-dev (>= 2.3.3.4-4.1),
               libcups2-dev,
               libcurl4-gnutls-dev (>= 7.68),
               libdbus-1-dev (>= 0.60),
               libdconf-dev (>= 0.15.2),
               libe-book-dev (<< 0.2~),
               libe-book-dev (>= 0.1),
               libebook1.2-dev,
               libeot-dev,
               libepoxy-dev (>= 1.2),
               libepubgen-dev (<< 0.2~),
               libepubgen-dev (>= 0.1.0),
               libetonyek-dev,
               libetonyek-dev (<< 0.2~),
               libexpat1-dev,
               libexttextcat-dev (>= 3.4.1),
               libfontconfig1-dev,
               libfreehand-dev (<< 0.2~),
               libfreehand-dev (>= 0.1),
               libfreetype6-dev (>= 2.8.1),
               libgirepository1.0-dev (>= 1.32),
               libgl-dev,
               libglib2.0-dev (>= 2.38.0),
               libglib2.0-dev (>= 2.4),
               libglm-dev (>= 0.9.9~a2),
               libgraphite2-dev (>= 0.9.3),
               libgstreamer-plugins-base1.0-dev,
               libgstreamer1.0-dev,
               libgtk-3-dev (>= 3.20.0),
               libharfbuzz-dev (>= 0.9.42),
               libhsqldb1.8.0-java (>> 1.8.0.10) <!nojava>,
               libhunspell-dev (>= 1.1.5-2),
               libhyphen-dev (>= 2.4),
               libice-dev,
               libicu-dev (>= 52),
               libjpeg-dev,
               libkf5config-dev,
               libkf5coreaddons-dev,
               libkf5i18n-dev,
               libkf5kio-dev,
               libkf5windowsystem-dev,
               liblangtag-dev (>= 0.4),
               liblcms2-dev,
               libldap2-dev,
               liblpsolve55-dev (>= 5.5.0.13-5+b1),
               libmspub-dev (<< 0.2~),
               libmspub-dev (>= 0.1),
               libmythes-dev (>= 2:1.2),
               libnspr4-dev,
               libnss3-dev (>= 3.12.3),
               libodfgen-dev (<< 0.2~),
               libodfgen-dev (>= 0.1),
               libopenjp2-7-dev (>= 2.3),
               libpagemaker-dev,
               libpagemaker-dev (<< 0.1~),
               libpng-dev,
               libpoppler-cpp-dev,
               libpoppler-dev (>= 0.14.0),
               libpoppler-private-dev,
               libpq-dev (>= 9.0~),
               libqt5x11extras5-dev (>= 5.6),
               librdf0-dev (>= 1.0.16-2),
               librevenge-dev,
               librevenge-dev (<< 0.1~),
               libsane-dev,
               libsm-dev,
               libsuitesparse-dev (>= 1:3.4.0),
               libvisio-dev (<< 0.2~),
               libvisio-dev (>= 0.1),
               libwpd-dev (<< 0.11~),
               libwpd-dev (>= 0.10),
               libwpg-dev (<< 0.4~),
               libwpg-dev (>= 0.3),
               libx11-dev,
               libx11-xcb-dev,
               libxaw7-dev,
               libxcb-icccm4-dev,
               libxcb1-dev,
               libxext-dev,
               libxinerama-dev,
               libxkbfile-dev,
               libxml2-dev (>= 2.8),
               libxml2-utils,
               libxmlsec1-dev (>= 1.2.28),
               libxrandr-dev,
               libxrender-dev,
               libxslt1-dev,
               libxt-dev,
               libxtst-dev,
               lp-solve (>= 5.5.0.13-5+b1),
               maven-repo-helper,
               pkg-config,
               python3,
               python3-dev (>= 3.3) <!nopython>,
               python3-distutils <!nopython>,
               qt5-qmake (>= 5.6),
               qtbase5-dev (>= 5.6),
               qtbase5-dev-tools (>= 5.6),
               unixodbc-dev (>= 2.2.11),
               unzip,
               x11proto-render-dev,
               xsltproc,
               zip,
               zlib1g-dev
Build-Depends-Arch: firebird3.0-server-core <!nocheck>,
                    fontconfig <!nocheck>,
                    fonts-crosextra-carlito <!nocheck>,
                    fonts-dejavu <!nocheck>,
                    fonts-kacst <!nocheck>,
                    fonts-liberation2 <!nocheck>,
                    gdb <!nocheck>,
                    ghostscript <!nocheck>,
                    gpg <!nocheck>,
                    gpg-agent <!nocheck>,
                    gpgconf <!nocheck>,
                    hunspell-en-us <!nocheck>,
                    hyphen-en-us <!nocheck>,
                    imagemagick <!nocheck>,
                    libcppunit-dev (>= 1.14) <!nocheck>,
                    libe-book-dev (>= 0.1.2) <!nocheck>,
                    libetonyek-dev (>= 0.1.8) <!nocheck>,
                    locales <!nocheck>,
                    poppler-data <!nocheck>,
                    pstoedit <!nocheck>,
                    python3-lxml <!nocheck !nopython>
Build-Depends-Indep: apparmor <!nocheck>,
                     dh-apparmor,
                     doxygen (>= 1.8.4) <!nodoc>,
                     gettext,
                     graphviz <!nodoc>,
                     junit4 (>= 4.8.2-2) <!nojava>,
                     libbsh-java <!nojava>,
                     rdfind,
                     symlinks
Build-Conflicts: amd-libopencl1,
                 fonts-opensymbol <!nocheck>,
                 nvidia-glx-dev,
                 nvidia-glx-legacy-dev,
                 nvidia-libopencl1
Standards-Version: 4.0.1
Vcs-Git: https://git.launchpad.net/~libreoffice/ubuntu/+source/libreoffice -b ubuntu-focal-7.3
Vcs-Browser: https://git.launchpad.net/~libreoffice/ubuntu/+source/libreoffice
Bugs: mailto:libreoffice@lists.launchpad.net
Homepage: http://www.libreoffice.org

Package: libreoffice
Architecture: amd64 arm64 armhf ppc64el s390x
Section: metapackages
Depends: libreoffice-base,
         libreoffice-calc,
         libreoffice-core (= ${binary:Version}),
         libreoffice-draw,
         libreoffice-impress,
         libreoffice-math,
         libreoffice-report-builder-bin,
         libreoffice-writer,
         ${misc:Depends},
         ${pyuno-depends}
Recommends: fonts-crosextra-caladea,
            fonts-crosextra-carlito,
            fonts-dejavu,
            fonts-liberation,
            fonts-liberation2,
            fonts-linuxlibertine,
            fonts-noto-core,
            fonts-noto-extra,
            fonts-noto-mono,
            fonts-noto-ui-core,
            fonts-sil-gentium-basic,
            libreoffice-gnome | libreoffice-plasma,
            libreoffice-nlpsolver,
            libreoffice-report-builder,
            libreoffice-script-provider-bsh,
            libreoffice-script-provider-js,
            libreoffice-script-provider-python,
            libreoffice-sdbc-mysql,
            libreoffice-sdbc-postgresql,
            libreoffice-wiki-publisher,
            ${java-common-depends}
Suggests: cups-bsd,
          firefox | firefox-esr | thunderbird,
          ghostscript,
          gnupg,
          gpa,
          hunspell-dictionary,
          hyphen-hyphenation-patterns,
          imagemagick | graphicsmagick-imagemagick-compat,
          libgl1,
          libreoffice-grammarcheck,
          libreoffice-help (= ${help-l10n-virtual-version}),
          libreoffice-l10n (= ${help-l10n-virtual-version}),
          libreoffice-librelogo,
          libxrender1,
          myspell-dictionary,
          mythes-thesaurus,
          openclipart-libreoffice,
          pstoedit,
          unixodbc,
          ${gstreamer-plugins-suggests},
          ${java-runtime-depends},
          ${libsane-suggests},
          ${ooo-officebean-dep}
Conflicts: libreoffice-dev (<= 1:5.0.3~rc1-2),
           libreoffice-dev-doc (<= 1:5.0.3~rc1-2)
Description: office productivity suite (metapackage)
 LibreOffice is a full-featured office productivity suite that provides
 a near drop-in replacement for Microsoft(R) Office.
 .
 This metapackage installs all components of libreoffice:
  * libreoffice-writer: Word processor
  * libreoffice-calc: Spreadsheet
  * libreoffice-impress: Presentation
  * libreoffice-draw: Drawing
  * libreoffice-base: Database
  * libreoffice-math: Equation editor
 It also recommends additional packages (e.g. fonts) in order to match an
 upstream LibreOffice install as closely as possible.
 .
 You can extend the functionality of LibreOffice by installing these
 packages:
  * hunspell-*/myspell-*: Hunspell/Myspell dictionaries
    for use with LibreOffice
  * libreoffice-l10n-*: UI interface translation
  * libreoffice-help-*: User help
  * mythes-*: Thesauri for the use with LibreOffice
  * hyphen-*: Hyphenation patterns for LibreOffice
  * libreoffice-gtk(2|3): Gtk UI Plugin, GNOME File Picker support
  * libreoffice-gnome: GIO backend
  * unixodbc: ODBC database support
  * cups-bsd: Allows LibreOffice to detect your CUPS printer queues
    automatically
  * libsane: Use your sane-supported scanner with LibreOffice
  * libxrender1: Speed up display by using Xrender library
  * libgl1: OpenGL support
  * openclipart-libreoffice: Open Clip Art Gallery with LibreOffice index
    files
  * firefox-esr | thunderbird | firefox:
    Mozilla profile with Certificates needed for XML Security...
  * openjdk-11-jre | openjdk-8-jre | java8-runtime:
    Java Runtime Environment for use with LibreOffice
  * pstoedit / imagemagick / ghostscript: helper tools for EPS
  * gstreamer0.10-plugins-*: GStreamer plugins for use with LibreOffices
    media backend
  * libpaper-utils: papersize detection support via paperconf
  * bluez: Bluetooth support for Impress (slideshow remote control)

Package: libreoffice-nogui
Architecture: amd64 arm64 armhf ppc64el s390x
Section: metapackages
Depends: libreoffice-base-nogui,
         libreoffice-calc-nogui,
         libreoffice-core-nogui (= ${binary:Version}),
         libreoffice-draw-nogui,
         libreoffice-impress-nogui,
         libreoffice-math-nogui,
         libreoffice-report-builder-bin-nogui,
         libreoffice-writer-nogui,
         ${misc:Depends},
         ${pyuno-depends}
Recommends: libreoffice-script-provider-bsh,
