=== debian/rules ===
--- 
+++ 
@@ -73,18 +73,18 @@
 GIT_BASEURL:=git://anongit.freedesktop.org/libreoffice
 # bootstraping this from the source tree is breaking get-orig-source
 #lo_sources_ver=$(shell grep AC_INIT $(SOURCE_TREE)/configure.ac | grep documentfoundation | cut -d, -f2 | sed -e 's,\[,,' -e 's,\],,')
-lo_sources_ver=7.3.3.2
+lo_sources_ver=7.3.6.2
 # NOT in proper libreoffice-3-6 branch
 # use ./g checkout -b tag-libreoffice-3.6.2.1 libreoffice-3.6.2.1
 GIT_TAG=libreoffice-$(lo_sources_ver)
-GIT_BRANCH=libreoffice-7-3-3
+GIT_BRANCH=libreoffice-7-3-6
 endif
 ifeq "$(USE_SOURCE_TARBALLS)" "y"
 lo_sources_ver=$(shell cat $(CURDIR)/sources.ver | cut -d= -f2)
 endif
 
 ifeq "$(USE_GIT_TARBALLS)" "y"
-YARU_GIT_TAG=2022-04-13
+YARU_GIT_TAG=2022-08-15
 endif
 
 #########
